Bulletin d'alerte Debian

DSA-1718-1 boinc -- Mauvaise utilisation de l'interface de programmation

Date du rapport :
8 février 2009
Paquets concernés :
boinc
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 511521.
Dans le dictionnaire CVE du Mitre : CVE-2009-0126.
Plus de précisions :

Il a été découvert que le client principal pour l'infrastructure distribuée BOINC ne vérifie pas correctement le code de retour des fonctions RSA d'OpenSSL.

Pour la distribution stable (Etch), ce problème a été corrigé dans la version 5.4.11-4+etch1.

Pour la distribution stable à venir (Lenny), ce problème a été corrigé dans la version 6.2.14-3.

Pour la distribution unstable (Sid), ce problème a été corrigé dans la version 6.2.14-3.

Nous vous recommandons de mettre à jour vos paquets boinc.

Corrigé dans :

Debian GNU/Linux 4.0 (etch)

Source :
http://security.debian.org/pool/updates/main/b/boinc/boinc_5.4.11.orig.tar.gz
http://security.debian.org/pool/updates/main/b/boinc/boinc_5.4.11-4+etch1.dsc
http://security.debian.org/pool/updates/main/b/boinc/boinc_5.4.11-4+etch1.diff.gz
AMD64:
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_amd64.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_amd64.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_arm.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_arm.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_i386.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_i386.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_ia64.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_ia64.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_mips.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_mips.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_mipsel.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_mipsel.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_powerpc.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_powerpc.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_s390.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_s390.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/b/boinc/boinc-dev_5.4.11-4+etch1_sparc.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-client_5.4.11-4+etch1_sparc.deb
http://security.debian.org/pool/updates/main/b/boinc/boinc-manager_5.4.11-4+etch1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.